Bug 739647 - No support for gitweb-caching package
Summary: No support for gitweb-caching package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 17:42 UTC by Eric Paris
Modified: 2011-12-04 02:35 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.9.16-48.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-04 02:35:50 UTC


Attachments (Terms of Use)

Description Eric Paris 2011-09-19 17:42:01 UTC
So we have 3 packages which apparently do the same thing.  cgit, gitweb, gitweb-caching

The gitweb-caching package places gitweb.cgi in:
   /var/www/gitweb-caching/gitweb.cgi

the gitweb pacakage places it in:
   /var/www/git/gitweb.cgi

So one needs to add an fcontext for the new gitweb.cgi as well.

The caching package also appears to use:
   /var/cache/gitweb-caching

While the similar cgit program uses:
   /var/cache/cgit(/.*)?

So one needs to add an fcontext for the new cache location as well.

Comment 1 Miroslav Grepl 2011-09-26 09:46:56 UTC
Fixed in selinux-policy-3.9.16-41.fc15

Comment 2 Fedora Update System 2011-11-16 16:17:34 UTC
selinux-policy-3.9.16-48.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-48.fc15

Comment 3 Fedora Update System 2011-11-17 23:35:56 UTC
Package selinux-policy-3.9.16-48.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-48.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16023/selinux-policy-3.9.16-48.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-12-04 02:35:50 UTC
selinux-policy-3.9.16-48.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.